
package de.ivu.elect.presentation.praesentation.menu;

import java.util.ArrayList;
import java.util.List;

import javax.inject.Inject;

import de.ivu.elect.jee.presentation.menu.AbstractSubMenuEntry;
import de.ivu.elect.jee.presentation.menu.MenuEntry;

public class PraesentationMainMenuEntry extends AbstractSubMenuEntry {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient PraesentationMenuBuilder praesentationMenuBuilder;

  public PraesentationMainMenuEntry() {
    super();
  }

  @Override
  protected List<MenuEntry> getSubMenuEntriesSorted() {
    List<MenuEntry> result = new ArrayList<>();

    result.addAll(praesentationMenuBuilder.getMenuEntries());

    return result;
  }

  @Override
  public String getLabelKey() {
    return "praesentation.main.menu.item.label";
  }
}
